=== debian/changelog ===
ros-crystal-fmi-adapter (0.1.4-1bionic) bionic; urgency=high

  * Fixed link to FMU-SDK.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-crystal-fmi-adapter (0.1.3-1bionic) bionic; urgency=high

  * Fixed install target location of shared library.
  * Improved code snippets on use of FMIAdapter class in README.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 31 Jan 2019 23:00:00 -0000

ros-crystal-fmi-adapter (0.1.2-1bionic) bionic; urgency=high

  * Cleaned up dependency entries in package.xml.
  * Added explicit target dependencies for parallel building.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 24 Jan 2019 23:00:00 -0000

ros-crystal-fmi-adapter (0.1.1-1bionic) bionic; urgency=high

  * Fixed missing testing and launch dependencies.

 -- Ralph Lange <ralph.lange@de.bosch.com>  Tue, 22 Jan 2019 23:00:00 -0000

ros-crystal-fmi-adapter (0.1.0-1bionic) bionic; urgency=high

  * Initial version for ROS 2, ported from https://github.com/boschresearch/fmi_adapter/

 -- Ralph Lange <ralph.lange@de.bosch.com>  Thu, 17 Jan 2019 23:00:00 -0000
