=== debian/control ===
Source: ros-crystal-fmi-adapter
Section: misc
Priority: extra
Maintainer: Ralph Lange <ralph.lange@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-ament-cmake-gmock, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-pytest, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-launch-testing, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-rcutils, ros-crystal-std-msgs, ros-crystal-ros-workspace
Homepage: http://wiki.ros.org/fmi_adapter
Standards-Version: 3.9.2

Package: ros-crystal-fmi-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-launch, ros-crystal-launch-ros, ros-crystal-rclcpp, ros-crystal-rclcpp-lifecycle, ros-crystal-std-msgs, ros-crystal-ros-workspace
Description: Wraps FMUs for co-simulation
